summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-16 12:37:47 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-16 12:37:47 +0000
commite4cf0049c767b9532e2bbf19730c84539d4ab8e5 (patch)
treefc07982a116d346e1ce84a0428fb7acb1cb1a287
parentcfa7378f363972833824cedbce02e7dedadb0b04 (diff)
downloadaports-e4cf0049c767b9532e2bbf19730c84539d4ab8e5.tar.bz2
aports-e4cf0049c767b9532e2bbf19730c84539d4ab8e5.tar.xz
main/abuild: fix permissions on signed index
-rw-r--r--main/abuild/0001-abuild-sign-set-permissions-on-signed-index-to-644.patch25
-rw-r--r--main/abuild/APKBUILD7
2 files changed, 30 insertions, 2 deletions
diff --git a/main/abuild/0001-abuild-sign-set-permissions-on-signed-index-to-644.patch b/main/abuild/0001-abuild-sign-set-permissions-on-signed-index-to-644.patch
new file mode 100644
index 00000000..d4fc30ec
--- /dev/null
+++ b/main/abuild/0001-abuild-sign-set-permissions-on-signed-index-to-644.patch
@@ -0,0 +1,25 @@
+From 64baa7c5052f1dbbd156932552d1166b5c1d40ae Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Mon, 14 Sep 2009 08:41:55 +0000
+Subject: [PATCH] abuild-sign: set permissions on signed index to 644
+
+mktemp set it to 600 so we need to manually set it to 644
+---
+ abuild-sign.in | 1 +
+ 1 files changed, 1 insertions(+), 0 deletions(-)
+
+diff --git a/abuild-sign.in b/abuild-sign.in
+index 2aa525e..86b3b15 100644
+--- a/abuild-sign.in
++++ b/abuild-sign.in
+@@ -80,6 +80,7 @@ for f in "$@"; do
+ cat "$tmptargz" "$i" > "$tmpsigned"
+ rm -f "$tmptargz"
+ mv "$tmpsigned" "$i"
++ chmod 644 "$i"
+ if [ -z "$quiet" ]; then
+ echo "Signed $i"
+ fi
+--
+1.6.4.2
+
diff --git a/main/abuild/APKBUILD b/main/abuild/APKBUILD
index fe691749..85bbe82d 100644
--- a/main/abuild/APKBUILD
+++ b/main/abuild/APKBUILD
@@ -2,9 +2,10 @@
pkgdesc="Script to build Alpine Packages"
pkgname=abuild
pkgver=2.0_rc9
-pkgrel=0
+pkgrel=1
url=http://git.alpinelinux.org/cgit/abuild/
source="http://git.alpinelinux.org/cgit/abuild/snapshot/abuild-$pkgver.tar.bz2
+ 0001-abuild-sign-set-permissions-on-signed-index-to-644.patch
"
depends="fakeroot file sudo pax-utils openssl apk-tools"
makedepends="openssl-dev pkgconfig"
@@ -12,9 +13,11 @@ license=GPL-2
build() {
cd "$srcdir/$pkgname-$pkgver"
+ patch -p1 -i ../0001-abuild-sign-set-permissions-on-signed-index-to-644.patch || return 1
make install DESTDIR="$pkgdir"
install -m 644 abuild.conf "$pkgdir"/etc/abuild.conf
}
-md5sums="025f8dfa4114cf6432fdf52f14c2fc5c abuild-2.0_rc9.tar.bz2"
+md5sums="025f8dfa4114cf6432fdf52f14c2fc5c abuild-2.0_rc9.tar.bz2
+512a6f10ffc7a986ea477dcf7ebd1d28 0001-abuild-sign-set-permissions-on-signed-index-to-644.patch"